class StructuralAttributeBuilderFunctionsQueryBuilder extends GeneralFunctionsQueryBuilder {
  constructor(elements) {
    super(elements);
    this.elements = elements;
  }

  actionButtonInStrucAttrModalHandler(action) {
    switch (action) {
      case 'sentence':
        break;
      case 'entity':
        this.toggleClass(['entity-builder'], 'hide', 'toggle');
        this.toggleClass(['text-annotation-builder'], 'hide', 'add');
        break;
      case 'meta-data':
        this.toggleClass(['text-annotation-builder'], 'hide', 'toggle');
        this.toggleClass(['entity-builder'], 'hide', 'add');
        break;
      default:
        break;
    }
  }
}
